'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.actionwareReducer = actionwareReducer;

var _stateKeeper = require('./stateKeeper');

var _types = require('./types');

var _constants = require('./constants');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function actionwareReducer() {
  var _extends2, _extends3, _extends4;

  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var reduxAction = arguments[1];

  var payload = reduxAction.payload;
  var actionwareType = reduxAction._actionwareType;
  var trackedAction = reduxAction._trackedAction;

  if (!trackedAction) return state;

  var nextState = state;

  switch (actionwareType) {
    case _constants.ERROR_TYPE:
      nextState = _extends({}, state, (_extends2 = {}, _defineProperty(_extends2, trackedAction._errorType, payload), _defineProperty(_extends2, trackedAction._busyType, false), _extends2));
      break;

    case _constants.BUSY_TYPE:
      nextState = _extends({}, state, (_extends3 = {}, _defineProperty(_extends3, trackedAction._errorType, null), _defineProperty(_extends3, trackedAction._busyType, true), _extends3));
      break;

    default:
      nextState = _extends({}, state, (_extends4 = {}, _defineProperty(_extends4, trackedAction._errorType, null), _defineProperty(_extends4, trackedAction._busyType, false), _extends4));
      break;
  }

  (0, _stateKeeper.saveState)(nextState);

  return nextState;
}