'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setup = setup;
exports.setStore = setStore;
exports.getStore = getStore;
exports.getDefaultPrefix = getDefaultPrefix;
exports.getErrorSuffix = getErrorSuffix;
exports.getBusySuffix = getBusySuffix;
exports.getCancelSuffix = getCancelSuffix;

var _types = require('./types');

var _store = null;
var _defaultPrefix = 'actionware:';
var _errorSuffix = ':error';
var _busySuffix = ':busy';
var _cancelSuffix = ':cancel';

function setup(_ref) {
  var store = _ref.store,
      _ref$defaultPrefix = _ref.defaultPrefix,
      defaultPrefix = _ref$defaultPrefix === undefined ? 'actionware:' : _ref$defaultPrefix,
      _ref$errorSuffix = _ref.errorSuffix,
      errorSuffix = _ref$errorSuffix === undefined ? ':error' : _ref$errorSuffix,
      _ref$busySuffix = _ref.busySuffix,
      busySuffix = _ref$busySuffix === undefined ? ':busy' : _ref$busySuffix,
      _ref$cancelSuffix = _ref.cancelSuffix,
      cancelSuffix = _ref$cancelSuffix === undefined ? ':cancel' : _ref$cancelSuffix;

  _store = store;
  _defaultPrefix = defaultPrefix;
  _errorSuffix = errorSuffix;
  _busySuffix = busySuffix;
  _cancelSuffix = cancelSuffix;
}

function setStore(store) {
  _store = store;
}

function getStore() {
  if (_store === null) throw new Error('Actionware: store has not been set');
  return _store;
}

function getDefaultPrefix() {
  return _defaultPrefix;
}

function getErrorSuffix() {
  return _errorSuffix;
}

function getBusySuffix() {
  return _busySuffix;
}

function getCancelSuffix() {
  return _cancelSuffix;
}