'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

exports.createActions = createActions;

var _call = require('./call');

var _config = require('./config');

/**
 * Create tracked actions object, where every key is a tracked action
 *
 * @param prefix optional action events prefix
 * @param actions
 * @returns {*}
 */
function createActions(prefix, actions) {
  if (prefix && !actions) {
    actions = prefix;
    prefix = (0, _config.getDefaultPrefix)();
  }

  if ((typeof actions === 'undefined' ? 'undefined' : _typeof(actions)) !== 'object') throw new Error('actions argument should be an object');

  return Object.keys(actions).reduce(function (acc, actionName) {
    var action = actions[actionName];
    action._prefix = prefix;
    acc[actionName] = _call.call.bind(null, action);
    return acc;
  }, {});
}