'use strict';

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _src = require('../src');

var _chai = require('chai');

describe('createActions', function () {
  it('should throw an error when argument is not an object', function () {
    (0, _chai.expect)(_src.createActions.bind(null, 1)).to.throw();
  });

  it('should return a new object with actions created for the given keys', function () {
    var pureActions = {
      alpha: function alpha() {
        return 1;
      },
      bravo: function bravo() {
        return 1;
      }
    };

    var actions = (0, _src.createActions)(pureActions);

    (0, _chai.expect)(actions).not.to.equal(pureActions);
    (0, _chai.expect)(typeof actions === 'undefined' ? 'undefined' : _typeof(actions)).to.equal('object');
    (0, _chai.expect)(_typeof(actions.alpha)).to.equal('function');
    (0, _chai.expect)(_typeof(actions.bravo)).to.equal('function');
  });
});