'use strict';

var _getActionName = require('./getActionName');

var _getActionName2 = _interopRequireDefault(_getActionName);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('getActionName', function () {
  it('should return action name with prefix', function () {
    var actionName = (0, _getActionName2.default)('lorem:', 'ipsum', function () {});
    var actionName2 = (0, _getActionName2.default)('lorem:', 'ipsum', function () {});

    expect(actionName).to.equal('lorem:ipsum');
    expect(actionName2).to.equal('lorem:ipsum_2');
  });

  it('should return the same when trying to get name for the same function and name', function () {
    var fn = function fn() {};
    var actionName = (0, _getActionName2.default)('lorem:', 'ipsum', fn);
    var actionName2 = (0, _getActionName2.default)('lorem:', 'ipsum', fn);

    expect(actionName).to.equal(actionName2);
  });

  it('should return different names for different functions with the same name', function () {
    var fn1 = function fn1() {};
    var fn2 = function fn2() {};
    var actionName = (0, _getActionName2.default)('lorem:', 'ipsum', fn1);
    var actionName2 = (0, _getActionName2.default)('lorem:', 'ipsum', fn2);

    expect(actionName).not.to.equal(actionName2);
  });
});