'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.withActions = withActions;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _createActions = require('./createActions');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getDisplayName(wrappedComponent) {
  var wrapperName = wrappedComponent.displayName || wrappedComponent.name || 'Component';
  return 'withActions(' + wrapperName + ')';
}

function withActions() {
  var actions = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

  var trackedActions = (0, _createActions.createActions)(actions);

  return function (WrappedComponent) {
    var withActions = function withActions(props) {
      return _react2.default.createElement(WrappedComponent, _extends({}, props, trackedActions));
    };
    withActions.displayName = getDisplayName(WrappedComponent);
    return withActions;
  };
}